# Mount and bind volumes

1. Create Volume

```bash
docker volume create <volume_name>
```

2\. Verify volume

```bash
docker volume ls
```

3\. Create service and attach volume mount

```bash
docker service create --name <servicename> --replicas 2 --mount src=<name_of_volume>,dst=<destination_of_path> <name_of_docker_image>
```

4\. Inspect volume

```bash
docker inspect <volume_name>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.arkannis.net/containerization/docker-swarm/mount-and-bind-volumes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
